Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/8589/?format=api
{ "ob_id": 8589, "uuid": "a91ae89c4c6d011f84cdfbc3d41a73c8", "title": "Theme 2 Sub Theme 6: Global Phytoplankton Size Class (PSC) Monthly (Composites) Climatology (1997-2007) from Plymouth Marine Laboratory using SeaWiFS satellite", "abstract": "This dataset contains the fractional contributions of three phytoplankton size classes (micro-, nano- and picoplankton) in monthly averages over the globe for the period 1997-2007, as produced by the Plymouth Marine Laboratory (PML) using SeaWIFs data (The dataset was produced by the Plymouth Marine Laboratory by applying the algorithm of Brewin et al. (2010) directly to monthly SeaWiFS Level 3 composites of chlorophyll on a pixel-by-pixel basis.). A 10 year monthly climatology is also available as a separate dataset. Accompanying maps are available. This dataset was produced as part of the National Centre for Earth Observation (NCEO) Theme 2 programme (Monitoring, Diagnosis and Prediction of the Global Carbon-Cycle), Quantification of ocean biogeochemistry and carbon fluxes sub-theme 6 (ST6).\r\n", "keywords": "phytoplankton, global, climatology, nceo", "publicationState": "published", "dataPublishedTime": "2012-08-29T14:08:29", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/8590/?format=api", "dataPath": "/neodc/nceo-carbon/data/ST6-ocean_biogeochemistry/Global-PSC-Climatologies/monthly-composites/", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 27845290569, "numberOfFiles": 249, "fileFormat": "Data are netCDF formatted. Images are PNG formatted." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/3576/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/1/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/50543/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/68281/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/68282/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/68283/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/68284/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/68285/?format=api" ], "dataLineage": "Data prepared by authors and sent to NERC Earth Observations Data Centre (NEODC) for archiving. Data files are checked for CF conventions compliance. Filenames follow the BADC/NEODC filename convention.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/5498/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/8541/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/8587/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/8584/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/30127/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/33935/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/33934/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/33940/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/33936/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/33937/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/33938/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/43226/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/43230/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/54743/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/43229/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": "https://api.catalogue.ceda.ac.uk/api/v2/computations/13694/?format=api", "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2526/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }